Index: release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/AbstractTextPageRenderer.java
===================================================================
--- release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/AbstractTextPageRenderer.java	(revision 15330)
+++ release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/AbstractTextPageRenderer.java	(revision 15353)
@@ -84,5 +84,5 @@
 	}
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("org.tp23.antinstaller.renderer.text.Res");
+	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 	private static final char[] affimativeChars = parseChars(res.getString("affirmativeChars"));
     
Index: release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/CheckboxInputRenderer.java
===================================================================
--- release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/CheckboxInputRenderer.java	(revision 15330)
+++ release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/CheckboxInputRenderer.java	(revision 15353)
@@ -30,5 +30,5 @@
 	implements TextOutputFieldRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("org.tp23.antinstaller.renderer.text.Res");
+	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 
 	protected InstallerContext ctx;
Index: release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/ConditionalFieldRenderer.java
===================================================================
--- release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/ConditionalFieldRenderer.java	(revision 15330)
+++ release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/ConditionalFieldRenderer.java	(revision 15353)
@@ -36,5 +36,5 @@
 public class ConditionalFieldRenderer implements TextOutputFieldRenderer
 {
-    private static final ResourceBundleHelper res = new ResourceBundleHelper("org.tp23.antinstaller.renderer.text.Res");
+    private static final ResourceBundleHelper res = new ResourceBundleHelper("resources.LanguagePack");
 
     private InstallerContext context;
Index: release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/DateInputRenderer.java
===================================================================
--- release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/DateInputRenderer.java	(revision 15330)
+++ release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/DateInputRenderer.java	(revision 15353)
@@ -29,5 +29,5 @@
 	implements TextOutputFieldRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("org.tp23.antinstaller.renderer.text.Res");
+	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 
 	protected InstallerContext ctx;
Index: release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/DirectoryInputRenderer.java
===================================================================
--- release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/DirectoryInputRenderer.java	(revision 15330)
+++ release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/DirectoryInputRenderer.java	(revision 15353)
@@ -28,5 +28,5 @@
 public class DirectoryInputRenderer implements TextOutputFieldRenderer {
 
-    private static final ResourceBundle res = ResourceBundle.getBundle("org.tp23.antinstaller.renderer.text.Res");
+    private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 
     protected InstallerContext ctx;
Index: release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/FileInputRenderer.java
===================================================================
--- release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/FileInputRenderer.java	(revision 15330)
+++ release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/FileInputRenderer.java	(revision 15353)
@@ -31,5 +31,5 @@
 	implements TextOutputFieldRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("org.tp23.antinstaller.renderer.text.Res");
+	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 
 	protected InstallerContext ctx;
Index: release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/LargeSelectInputRenderer.java
===================================================================
--- release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/LargeSelectInputRenderer.java	(revision 15330)
+++ release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/LargeSelectInputRenderer.java	(revision 15353)
@@ -29,5 +29,5 @@
 	implements TextOutputFieldRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("org.tp23.antinstaller.renderer.text.Res");
+	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 	private static final String nextChar = res.getString("nextChar");
 
Index: release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/LicensePageRenderer.java
===================================================================
--- release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/LicensePageRenderer.java	(revision 15330)
+++ release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/LicensePageRenderer.java	(revision 15353)
@@ -31,5 +31,5 @@
 	extends AbstractTextPageRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("org.tp23.antinstaller.renderer.text.Res");
+	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 	private static final String nextChar = res.getString("nextChar");
 	
Index: release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/PasswordTextInputRenderer.java
===================================================================
--- release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/PasswordTextInputRenderer.java	(revision 15330)
+++ release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/PasswordTextInputRenderer.java	(revision 15353)
@@ -30,5 +30,5 @@
 	implements TextOutputFieldRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("org.tp23.antinstaller.renderer.text.Res");
+	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 	
 	public PasswordTextInputRenderer() {
Index: release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/SelectInputRenderer.java
===================================================================
--- release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/SelectInputRenderer.java	(revision 15330)
+++ release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/SelectInputRenderer.java	(revision 15353)
@@ -29,5 +29,5 @@
 	implements TextOutputFieldRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("org.tp23.antinstaller.renderer.text.Res");
+	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 
 	protected InstallerContext ctx;
Index: release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/TargetInputRenderer.java
===================================================================
--- release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/TargetInputRenderer.java	(revision 15330)
+++ release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/TargetInputRenderer.java	(revision 15353)
@@ -30,5 +30,5 @@
 	implements TextOutputFieldRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("org.tp23.antinstaller.renderer.text.Res");
+	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 
 	protected InstallerContext ctx;
Index: release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/TargetSelectInputRenderer.java
===================================================================
--- release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/TargetSelectInputRenderer.java	(revision 15330)
+++ release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/TargetSelectInputRenderer.java	(revision 15353)
@@ -32,5 +32,5 @@
 	extends SelectInputRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("org.tp23.antinstaller.renderer.text.Res");
+	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 
 	public TargetSelectInputRenderer() {
Index: release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/TextPageRenderer.java
===================================================================
--- release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/TextPageRenderer.java	(revision 15330)
+++ release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/TextPageRenderer.java	(revision 15353)
@@ -30,5 +30,5 @@
 	extends AbstractTextPageRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("org.tp23.antinstaller.renderer.text.Res");
+	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 	private static final String nextChar = res.getString("nextChar");
 
Index: release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/UnvalidatedTextInputRenderer.java
===================================================================
--- release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/UnvalidatedTextInputRenderer.java	(revision 15330)
+++ release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/UnvalidatedTextInputRenderer.java	(revision 15353)
@@ -29,5 +29,5 @@
 	implements TextOutputFieldRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("org.tp23.antinstaller.renderer.text.Res");
+	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 
 	protected InstallerContext ctx;
Index: release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/ValidatedTextInputRenderer.java
===================================================================
--- release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/ValidatedTextInputRenderer.java	(revision 15330)
+++ release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/ValidatedTextInputRenderer.java	(revision 15353)
@@ -29,5 +29,5 @@
 	implements TextOutputFieldRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("org.tp23.antinstaller.renderer.text.Res");
+	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 
 	protected InstallerContext ctx;
Index: release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/ConfigurationLoader.java
===================================================================
--- release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/ConfigurationLoader.java	(revision 15330)
+++ release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/ConfigurationLoader.java	(revision 15353)
@@ -40,4 +40,6 @@
 import org.tp23.antinstaller.runtime.exe.PropertyLoaderFilter;
 import org.tp23.antinstaller.runtime.logic.ExpressionBuilder;
+
+
 /**
  *
@@ -52,4 +54,5 @@
 public class ConfigurationLoader extends LoadConfigFilter{
 	
+
 	/**
 	 * Command line config checker
@@ -85,5 +88,21 @@
 		}
 	}
-    
+
+	// add logging to configuration loader
+	/*
+	Installer installer;    
+	public ConfigurationLoader() {}
+
+	public ConfigurationLoader( Installer ins ) {
+		installer = ins;
+	}
+	private void log( String message ) {
+		if ( installer != null ) {
+			installer.log( message );
+		}
+	}
+	*/
+
+
     /**
      * This method is not valid until super.readConfig() has been run
Index: release-kits/shared/ant-installer/src_ext/org/tp23/antinstaller/taskdefs/Installer.java
===================================================================
--- release-kits/shared/ant-installer/src_ext/org/tp23/antinstaller/taskdefs/Installer.java	(revision 15330)
+++ release-kits/shared/ant-installer/src_ext/org/tp23/antinstaller/taskdefs/Installer.java	(revision 15353)
@@ -321,5 +321,5 @@
     }
 	
-	protected void validateConfig(){
+	protected void validateConfig() {
 		
 		int ret = 1;
@@ -327,4 +327,8 @@
 			log("reading config...");
 			ConfigurationLoader configurationLoader = new ConfigurationLoader();
+
+			log("parent file: " + installConfig.getParentFile() );
+			log("name of install config: " + installConfig.getName() );
+
 			configurationLoader.readConfig(installConfig.getParentFile(), installConfig.getName());
 			log("validating config...");