Index: /release-kits/wirk3/ant-scripts/create-installer.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/create-installer.xml	(revision 15355)
+++ /release-kits/wirk3/ant-scripts/create-installer.xml	(revision 15356)
@@ -19,9 +19,30 @@
 	<target name="setup-for-installer-creation">
 		<if><bool><istrue value="${execute}"/></bool>
-
+			
 			<echo>Project Path: ${project.path}</echo>
 			<mkdir dir="${basedir}/installer"/>
 			<copy todir="${basedir}/installer" file="${wirk3.home}/installer/antinstall-config.xml"/>
+			<copy todir="${basedir}/installer" file="${wirk3.home}/installer/build.xml"/>
+			<copy todir="${basedir}/installer/cp"><fileset dir="${wirk3.home}/installer/cp"/></copy>
+			
+			<!-- put the concrete values of things in the config -->
 			<rsr file="${basedir}/installer/antinstall-config.xml" pattern="@version@" replacement="${version}"/>
+			<rsr file="${basedir}/installer/build.xml" pattern="@version@" replacement="${version}"/>
+									
+			<!-- put the concrete values of things in the text -->
+			<!-- default -->
+			<rsr file="${basedir}/installer/cp/resources/LanguagePack.properties" pattern="@version@" replacement="${version}"/>
+			<rsr file="${basedir}/installer/cp/resources/LanguagePack.properties" pattern="@java.min.version@" replacement="${java.min.version}"/>
+			<rsr file="${basedir}/installer/cp/resources/LanguagePack.properties" pattern="@bundled.version.java@" replacement="${bundled.version.java}"/>
+			<rsr file="${basedir}/installer/cp/resources/LanguagePack.properties" pattern="@bundled.version.tomcat@" replacement="${bundled.version.tomcat}"/>
+			<rsr file="${basedir}/installer/cp/resources/LanguagePack.properties" pattern="@bundled.version.ant@" replacement="${bundled.version.ant}"/>
+			
+			<!-- chinese -->
+			<rsr file="${basedir}/installer/cp/resources/LanguagePack_zh_CN.properties" pattern="@version@" replacement="${version}"/>
+			<rsr file="${basedir}/installer/cp/resources/LanguagePack_zh_CN.properties" pattern="@java.min.version@" replacement="${java.min.version}"/>
+			<rsr file="${basedir}/installer/cp/resources/LanguagePack_zh_CN.properties" pattern="@bundled.version.java@" replacement="${bundled.version.java}"/>
+			<rsr file="${basedir}/installer/cp/resources/LanguagePack_zh_CN.properties" pattern="@bundled.version.tomcat@" replacement="${bundled.version.tomcat}"/>
+			<rsr file="${basedir}/installer/cp/resources/LanguagePack_zh_CN.properties" pattern="@bundled.version.ant@" replacement="${bundled.version.ant}"/>
+			
 			
 		</if>
@@ -31,4 +52,6 @@
 		<if><bool><istrue value="${execute}"/></bool>
 
+			<taskdef name="installer" classname="org.tp23.antinstaller.taskdefs.Installer" classpathref="project.classpath"/> 
+			
 			<installer file="${basedir}/installer/greenstone-${version}-win32.jar"
 					compress="true"
@@ -41,5 +64,5 @@
 					icons="bluecurve">
 
-				<zipfileset dir="${project.installer.path}/cp" includes="resources/*"/>
+				<zipfileset dir="${basedir}/installer/cp" includes="resources/*"/>
 				<zipfileset dir="${wirk3.home}/ant-scripts/tasks/orans"><include name="RegexSearchReplace.class"/></zipfileset>
 
@@ -55,5 +78,7 @@
 				<zipfileset dir="${project.path}/winutil" prefix="winutil"><include name="**/*"/></zipfileset>
 				<zipfileset dir="${project.path}/src" prefix="src"><include name="**/*"/></zipfileset>
+
 			</installer>
+
 			
 		</if>
Index: /release-kits/wirk3/ant-scripts/init.xml
===================================================================
--- /release-kits/wirk3/ant-scripts/init.xml	(revision 15355)
+++ /release-kits/wirk3/ant-scripts/init.xml	(revision 15356)
@@ -24,4 +24,5 @@
 		<!-- antinstaller -->
 		<pathelement path="${wirk3.home}/bin/ant-installer/lib/ant-installer-ext.jar"/>
+		<pathelement path="${wirk3.home}/bin/ant-installer/lib/ant-installer.jar"/>
 		
 	</path>
@@ -41,6 +42,4 @@
 	<taskdef name="svn" classname="org.tigris.subversion.svnant.SvnTask" classpathref="project.classpath"/>
 	<taskdef name="setloglevel" classname="SetLogLevel" classpathref="project.classpath"/>
-	<taskdef name="installer" classname="org.tp23.antinstaller.taskdefs.Installer" classpathref="project.classpath"/> 
-	
 	<typedef name="addressedcall" classname="TreeCallTarget" classpathref="project.classpath"/>
 	<typedef name="rsr" classname="RegexSearchReplace" classpathref="project.classpath"/>
@@ -49,4 +48,9 @@
 	<!-- load in static properties from build.properties -->
 	<property file="build.properties" />
+	
+	<!-- the version numbers of bundled things -->
+	<property name="bundled.version.java" value="1.6.0_05"/>
+	<property name="bundled.version.tomcat" value="5.5.25"/>
+	<property name="bundled.version.ant" value="1.6.5"/>
 
 	<!-- project details (for ant-installer) -->
Index: /release-kits/wirk3/installer/antinstall-config.xml
===================================================================
--- /release-kits/wirk3/installer/antinstall-config.xml	(revision 15355)
+++ /release-kits/wirk3/installer/antinstall-config.xml	(revision 15356)
@@ -1,4 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE installer PUBLIC "-//tp23 //DTD Ant Installer Config//EN" "http://antinstaller.sf.net/dtd/antinstall-config-0.8.dtd">
+
 <installer
 			ui="swing,text"
@@ -6,76 +7,48 @@
 			debug="false"
 			lookAndFeel="org.tp23.jgoodies.plaf.plastic.PlasticXPLookAndFeel"
-			name="Greenstone3Installer"
-			windowIcon="/resources/gkmain_inv.png"
+			name="Greenstone3 @version@ Installer"
+			windowIcon="/resources/gs3-small.png"
 			defaultImageResource="/resources/makewavesdawn.png"
 			minJavaVersion="1.4">
 
-	<!--  each page element represents a page of the installer -->
-	<page
-			type="input"
-			name="intro"
-			displayText="Welcome to the Greenstone3 installer">
+	<!--  simple intro page -->
+	<page type="input" name="intro" displayText="">
+		<comment name="welcome-message"/>
 	</page>
 
 	<!--  type="license" shows a license page to click through -->
-	<page
-			type="license"
-			name="license"
-			displayText="License conditions"
-			resource="/LICENSE.txt">
-	</page>
+	<page type="license" name="license" resource="/LICENSE.txt"  displayText="" />
 
-	<!--  type="input" shows a list of editable options for the installer -->
-	<page
-			type="input"
-			name="destination"
-			displayText="Install Destination">
+	<!--  install destination page -->
+	<page type="input" name="destination" displayText="">
 
-		<directory
-				property="installDir"
-				defaultValue="/usr/local/Greenstone-@version@"
-				defaultValueWin="${env.ProgramFiles}\Greenstone-@version@"
-				displayText="Select an installation directory"
-				create="true"/>
+		<directory property="installDir"
+			defaultValue="/usr/local/Greenstone-@version@"
+			defaultValueWin="${env.ProgramFiles}\Greenstone-@version@"
+			create="true"
+			displayText="" />
 
 	</page>
 
-	<page type="input" name="tomcatports" displayText="Tomcat Ports">
+	<page type="input" name="selector" displayText="">
 
-		<comment name="tomcatportsdescription" displayText="Please select the ports which the web server (Apache Tomcat) will use  will use. It is usually safe to accept the defaults by just clicking Next. The exception is when you are running other services on these ports - if this is the case, select some free ports and click Next."/>
+		<comment name="choose-components"/>
 
-		<text property="tomcat.server" defaultValue="localhost" displayText="Tomcat Server"/>
-		<text property="tomcat.port" defaultValue="8080" displayText="Tomcat Port"/>
-		<text property="tomcat.shutdown.port" defaultValue="8005" displayText="Tomcat Shutdown Port"/>
+		<target target="install-core-components" 	defaultValue="true" force="true" displayText="" />
+		<target target="install-tomcat"				defaultValue="true" displayText="" />
+		<target target="install-ant"					defaultValue="true" displayText="" />
+		<target target="install-source-code"		defaultValue="false" displayText="" />
+
 	</page>
 
+	<page type="input" name="tomcat-config" ifProperty="(${install-tomcat}==true)" displayText="">
 
-	<page
-			type="input"
-			name="selector"
-			displayText="Components to install">
-		<comment
-				name="choosecomponents"
-				displayText="Choose the components you want to install"
-				bold="true"/>
-		<target
-			displayText="Core components"
-			target="default"
-			defaultValue="true"
-			force="true"/>
-		
-		<target
-			displayText="Source code"
-			target="tgsrc"
-			defaultValue="false"/>
-		
+		<text property="tomcat.server" defaultValue="localhost" displayText=""/>
+		<text property="tomcat.port" defaultValue="8080" displayText=""/>
+		<text property="tomcat.shutdown.port" defaultValue="8005" displayText=""/>
+
 	</page>
 
-	<page
-			type="progress"
-			name="progress"
-			displayText="Installation progress"
-			showTargets="false"
-			target="cleanuptarget">
+	<page type="progress" name="progress" showTargets="false" target="cleanuptarget" displayText="">
 	</page>
 
Index: /release-kits/wirk3/installer/build.xml
===================================================================
--- /release-kits/wirk3/installer/build.xml	(revision 15355)
+++ /release-kits/wirk3/installer/build.xml	(revision 15356)
@@ -23,5 +23,5 @@
 	
 	
-	<target name="default" depends="">
+	<target name="install-core-components">
 
 		<!-- create the installation directory -->
@@ -57,7 +57,9 @@
 		<echo/>
 
+		<!--
 		<echo message="Installing Packages (packages)"/>
 		<unzip src="${antinstaller.jar}" dest="${installDir}"><patternset><include name="packages/**/*"/></patternset></unzip>
 		<echo/>
+		-->
 
 		<echo message="Installing Resources (resources)"/>
@@ -88,12 +90,7 @@
 		<rsr file="${installDir}/build.properties" pattern="(tomcat.port[=:]).*" replacement="$1${tomcat.port}" />
 		<rsr file="${installDir}/build.properties" pattern="(tomcat.shutdown.port[=:]).*" replacement="$1${tomcat.shutdown.port}" />
+		<echo message="Changing tomcat ports in resources/tomcat/server.xml"/>
+		<copy file="${installDir}/resources/tomcat/server.xml" tofile="${installDir.local}/packages/tomcat/conf/server.xml" overwrite="true"/>
 
-		<!-- change the tomcat ports in tomcats server.xml -->
-		<echo message="Changing tomcat ports tomcat's server.xml"/>
-		<copy file="${installDir}/resources/tomcat/server.xml" tofile="${installDir.local}/packages/tomcat/conf/server.xml" overwrite="true"/>
-		<rsr file="${installDir}/packages/tomcat/conf/server.xml" pattern="@server@" replacement="${tomcat.server}" />
-		<rsr file="${installDir}/packages/tomcat/conf/server.xml" pattern="@port@" replacement="${tomcat.port}" />
-		<rsr file="${installDir}/packages/tomcat/conf/server.xml" pattern="@shutdown-port@" replacement="${tomcat.shutdown.port}" />
-		
 		<!-- copy the greenstone3.xml file to tomcat -->
 		<echo message="Copying greenstone3.xml to tomcat directory"/>
@@ -132,5 +129,5 @@
 
 	<!-- Source -->
-	<target name="tgsrc" depends="">
+	<target name="install-source-code">
 		<echo message="Installing Source Code (src)"/>
 		<mkdir dir="${installDir}/src"/>
@@ -142,4 +139,20 @@
 	</target>
 
+	<target name="install-tomcat">
+		
+		<echo message="Installing Apache Tomcat"/>
+		<unzip src="${antinstaller.jar}" dest="${installDir}"><patternset><include name="packages/tomcat/**/*"/></patternset></unzip>
+
+		<!-- change the tomcat ports in tomcats server.xml -->
+		<rsr file="${installDir}/packages/tomcat/conf/server.xml" pattern="@server@" replacement="${tomcat.server}" />
+		<rsr file="${installDir}/packages/tomcat/conf/server.xml" pattern="@port@" replacement="${tomcat.port}" />
+		<rsr file="${installDir}/packages/tomcat/conf/server.xml" pattern="@shutdown-port@" replacement="${tomcat.shutdown.port}" />
+
+	</target>
+	<target name="install-ant">
+		<echo message="Installing Apache Ant"/>
+		<unzip src="${antinstaller.jar}" dest="${installDir}"><patternset><include name="packages/ant/**/*"/></patternset></unzip>
+	</target>
+	
 	<target name="cleanuptarget">
 	</target>
Index: /release-kits/wirk3/src/wirk3.cpp
===================================================================
--- /release-kits/wirk3/src/wirk3.cpp	(revision 15355)
+++ /release-kits/wirk3/src/wirk3.cpp	(revision 15356)
@@ -26,7 +26,16 @@
 	string WIRK3_HOME = getenv( "WIRK3_HOME" );
 	//string PWD = getenv( "CD" );
+
+	//get the pwd
+	string pwd;
+	system( "CD > cd.dat" );
+	ifstream file( "cd.dat" ) ;
+	getline(file, pwd);
+	file.close();
+	system( "del cd.dat" );
+	
 	
 	//set the classpath
-	classpath = JAVA_HOME + "\\lib\\tools.jar;" + WIRK3_HOME + "\\lib\\serializer.jar;" + WIRK3_HOME + "\\lib\\xalan.jar;" + WIRK3_HOME + "\\lib\\xercesImpl.jar;" + WIRK3_HOME + "\\lib\\xml-apis.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-antlr.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-apache-bcel.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-apache-bsf.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-apache-log4j.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-apache-oro.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-apache-regexp.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-apache-resolver.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-commons-logging.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-commons-net.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-icontract.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-jai.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-javamail.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-jdepend.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-jmf.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-jsch.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-junit.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-launcher.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-netrexx.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-nodeps.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-starteam.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-stylebook.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-swing.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-trax.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-vaj.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-weblogic.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-xalan1.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-xslp.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\xercesImpl.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\xml-apis.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\ai-icons-amaranth.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\ai-icons-bluecurve.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\ai-icons-crystalsvg.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\ai-icons-eclipse.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\ai-icons-krystaline.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\ant-installer-ext.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\ant-installer.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\jgoodies-edited-1_2_2.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\xercesImpl.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\xml-apis.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\classes";
+	classpath = pwd + "\\installer\\cp;" + JAVA_HOME + "\\lib\\tools.jar;" + WIRK3_HOME + "\\lib\\serializer.jar;" + WIRK3_HOME + "\\lib\\xalan.jar;" + WIRK3_HOME + "\\lib\\xercesImpl.jar;" + WIRK3_HOME + "\\lib\\xml-apis.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-antlr.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-apache-bcel.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-apache-bsf.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-apache-log4j.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-apache-oro.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-apache-regexp.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-apache-resolver.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-commons-logging.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-commons-net.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-icontract.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-jai.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-javamail.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-jdepend.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-jmf.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-jsch.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-junit.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-launcher.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-netrexx.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-nodeps.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-starteam.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-stylebook.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-swing.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-trax.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-vaj.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-weblogic.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-xalan1.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\ant-xslp.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\xercesImpl.jar;" + WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\lib\\xml-apis.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\ai-icons-amaranth.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\ai-icons-bluecurve.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\ai-icons-crystalsvg.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\ai-icons-eclipse.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\ai-icons-krystaline.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\ant-installer-ext.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\ant-installer.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\jgoodies-edited-1_2_2.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\xercesImpl.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\lib\\xml-apis.jar;" + WIRK3_HOME + "\\bin\\ant-installer\\classes";
 	putenv( ("CLASSPATH=" + classpath).c_str() );
 
@@ -37,5 +46,4 @@
 	//create the command
 	command = WIRK3_HOME + "\\bin\\apache-ant-1.6.5\\bin\\ant.bat -f " + WIRK3_HOME + "\\ant-scripts\\build.xml -Dwirk3.home=" + WIRK3_HOME;
-	
 	//pass on the arguments
 	string a;
@@ -70,16 +78,15 @@
 
 	}
-	//get the pwd
-	string pwd;
-	system( "CD > cd.dat" );
-	ifstream file( "cd.dat" ) ;
-	getline(file, pwd);
-	file.close();
-	system( "del cd.dat" );
-	replace_all( pwd, "\\", "/" );
+
+	
+	//use forward slashes for everything else
+	//replace_all( pwd, "\\", "/" );
 	
 	//set the basedir in the command
 	command = command + " -Dbasedir=";
 	command = command + pwd;
+
+
+	
 	//command = command + ".";
 