Index: gli/trunk/help/en/help.xml
===================================================================
--- gli/trunk/help/en/help.xml	(revision 15362)
+++ gli/trunk/help/en/help.xml	(revision 15365)
@@ -60,5 +60,5 @@
 <Text id="30">Opening an Existing Collection</Text>
 </Title>
-<Text id="31">To open an existing collection, choose "Open" from the "File" menu to get the Open Collection prompt.  A list of your Greenstone collections appears. Select one to see its description, and click "Open" to load it.  If you seek a collection that resides outside Greenstone's "collect" folder, click "Browse" for a file system browsing dialog.</Text>
+<Text id="31">To open an existing collection, choose "Open" from the "File" menu to get the Open Collection prompt.  A list of your Greenstone collections appears. Select one to see its description, and click "Open" to load it.</Text>
 <Text id="32">In case more than one Greenstone Librarian Interface program is running concurrently, the relevant directories are "locked" to prevent interference. On opening a collection, a small temporary lock file is created in its folder.  Before opening a collection, the Librarian Interface checks to ensure that no lock file already exists.  However, when the Librarian Interface is exited prematurely the lock file is sometimes left in place.  When you open such a collection, the Librarian asks if you want to "steal" control of it. Feel free to do so unless you think that someone else is currently working on the same collection.</Text>
 <Text id="33">When you open a collection that the Greenstone Librarian Interface did not create, the Dublin Core metadata set will be assigned to it, and any existing metadata will be imported just as it is when you drag in files with existing metadata. The process is described in the <Reference target="importingpreviouslyassignedmetadata"/> section. </Text>
@@ -287,5 +287,5 @@
 <Text id="si-7">To edit an index, select it and click <AutoText key="glidict::CDM.IndexManager.Edit_Index"/>. A similar dialog to the <AutoText key="glidict::CDM.IndexManager.New_Index"/> one is shown. </Text>
 <Text id="si-8">To remove an index, select it from the list of Assigned indexes and click <AutoText key="glidict::CDM.IndexManager.Remove_Index"/>.</Text>
-<Text id="si-9">The order in which the indexes are specified in the Assigned Indexes list is the order they appear in the drop down menu on the search page. Use the <AutoText key="glidict::CDM.Move.Move_Up"/> and <AutoText key="glidict::CDM.Move.Move_Up"/> buttons to change this ordering. </Text>
+<Text id="si-9">The order in which the indexes are specified in the Assigned Indexes list is the order they appear in the drop down menu on the search page. Use the <AutoText key="glidict::CDM.Move.Move_Up"/> and <AutoText key="glidict::CDM.Move.Move_Down"/> buttons to change this ordering.</Text>
 <Text id="si-10">The one that is selected by default on the search page is called the "default index". This can be set by selecting an index from the list and clicking "Set Default". The default index is tagged with "[Default Index]" in the "Assigned Indexes" list. If no default index is set, the first one in the list will be used as the default.</Text>
 <Text id="si-11">The names used for the drop-down list of indexes on the search page can be set in the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> part of the <AutoText key="glidict::GUI.Format"/> panel (see <Reference target="searchmetadatasettings"/>).</Text>
@@ -316,5 +316,5 @@
 <Text id="154a">To alter a partition, select it from the list, modify the filters, and click <AutoText key="glidict::CDM.SubcollectionIndexManager.Replace_Subindex"/>.</Text>
 <Text id="154">To remove a partition, select it from the list and click "Remove Partition".</Text>
-<Text id="154b">The order that the partitions are specified in the Assigned Partitions list is the order they appear in the drop down menu on the search page. Use the <AutoText key="glidict::CDM.Move.Move_Up"/> and <AutoText key="glidict::CDM.Move.Move_Up"/> buttons to change this ordering.</Text>
+<Text id="154b">The order that the partitions are specified in the Assigned Partitions list is the order they appear in the drop down menu on the search page. Use the <AutoText key="glidict::CDM.Move.Move_Up"/> and <AutoText key="glidict::CDM.Move.Move_Down"/> buttons to change this ordering.</Text>
 <Text id="155">To make a partition the default one, select it from the list and click <AutoText key="glidict::CDM.SubcollectionIndexManager.Set_Default_Subindex"/>.</Text>
 <Text id="155a">The names used for the drop-down list of partitions on the search page can be set in the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> part of the <AutoText key="glidict::GUI.Format"/> panel (see <Reference target="searchmetadatasettings"/>).</Text>
@@ -328,5 +328,5 @@
 <Text id="158a">To change an existing partition, select it from the "Assigned Language Partitions" list, modify the selected languages in the "Languages to add" list below, and click "Replace Partition".</Text>
 <Text id="159">To remove a language partition, select it from the "Assigned Language Partitions" list and click "Remove Partition".</Text>
-<Text id="159a">The order that the language partitions are specified in the Assigned Language Partitions list is the order they appear in the drop down menu on the search page. Use the <AutoText key="glidict::CDM.Move.Move_Up"/> and <AutoText key="glidict::CDM.Move.Move_Up"/> buttons to change this ordering.</Text>
+<Text id="159a">The order that the language partitions are specified in the Assigned Language Partitions list is the order they appear in the drop down menu on the search page. Use the <AutoText key="glidict::CDM.Move.Move_Up"/> and <AutoText key="glidict::CDM.Move.Move_Down"/> buttons to change this ordering.</Text>
 <Text id="160">To set the default language partition, select it from the list and click "Set Default".</Text>
 <Text id="160a">The names used for the drop-down list of language partitions on the search page can be set in the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> part of the <AutoText key="glidict::GUI.Format"/> panel (see <Reference target="searchmetadatasettings"/>).</Text>
@@ -343,5 +343,5 @@
 <Text id="169">To remove a classifier, select it from the list and click "Remove Classifier".</Text>
 <Text id="170">To change the arguments for a classifier, select it from the list and click "Configure Classifier" (or double-click on the classifier in the list).</Text>
-<Text id="171">The ordering of classifiers in the collection's navigation bar is reflected in their order here.  To change it, select the classifier you want to move and click "Move Up" or "Move Down".</Text>
+<Text id="171">The ordering of classifiers in the collection's navigation bar is reflected in their order here.  To change it, select the classifier you want to move and click <AutoText key="glidict::CDM.Move.Move_Up"/> and <AutoText key="glidict::CDM.Move.Move_Down"/>.</Text>
 <Text id="172">For further information on classifiers read Chapter 2, Greenstone Developer's Guide -- Getting the most out of your documents.</Text>
 </Section>