Index: gli/trunk/help/en/assignlanguages.htm
===================================================================
--- gli/trunk/help/en/assignlanguages.htm	(revision 15366)
+++ gli/trunk/help/en/assignlanguages.htm	(revision 15367)
@@ -20,5 +20,5 @@
 <p>To remove a language partition, select it from the "Assigned Language Partitions" list and click "Remove Partition".</p>
 
-<p>The order that the language partitions are specified in the Assigned Language Partitions list is the order they appear in the drop down menu on the search page. Use the "Move Up" and "Move Up" buttons to change this ordering.</p>
+<p>The order that the language partitions are specified in the Assigned Language Partitions list is the order they appear in the drop down menu on the search page. Use the "Move Up" and "Move Down" buttons to change this ordering.</p>
 
 <p>To set the default language partition, select it from the list and click "Set Default".</p>
Index: gli/trunk/help/en/assignpartitions.htm
===================================================================
--- gli/trunk/help/en/assignpartitions.htm	(revision 15366)
+++ gli/trunk/help/en/assignpartitions.htm	(revision 15367)
@@ -18,5 +18,5 @@
 <p>To remove a partition, select it from the list and click "Remove Partition".</p>
 
-<p>The order that the partitions are specified in the Assigned Partitions list is the order they appear in the drop down menu on the search page. Use the "Move Up" and "Move Up" buttons to change this ordering.</p>
+<p>The order that the partitions are specified in the Assigned Partitions list is the order they appear in the drop down menu on the search page. Use the "Move Up" and "Move Down" buttons to change this ordering.</p>
 
 <p>To make a partition the default one, select it from the list and click "Set Default".</p>
Index: gli/trunk/help/en/classifiers.htm
===================================================================
--- gli/trunk/help/en/classifiers.htm	(revision 15366)
+++ gli/trunk/help/en/classifiers.htm	(revision 15367)
@@ -24,5 +24,5 @@
 <p>To change the arguments for a classifier, select it from the list and click "Configure Classifier" (or double-click on the classifier in the list).</p>
 
-<p>The ordering of classifiers in the collection's navigation bar is reflected in their order here.  To change it, select the classifier you want to move and click "Move Up" or "Move Down".</p>
+<p>The ordering of classifiers in the collection's navigation bar is reflected in their order here.  To change it, select the classifier you want to move and click "Move Up" and "Move Down".</p>
 
 <p>For further information on classifiers read Chapter 2, Greenstone Developer's Guide -- Getting the most out of your documents.</p>
Index: gli/trunk/help/en/howtoavoidthisdocument.htm
===================================================================
--- gli/trunk/help/en/howtoavoidthisdocument.htm	(revision 15366)
+++ gli/trunk/help/en/howtoavoidthisdocument.htm	(revision 15367)
@@ -14,5 +14,5 @@
 <p>Don't read this help text all the way through!  Just read enough to learn how to get help when you need it.</p>
 
-<p>The "Help" menu item marks what may be the most appropriate help item with a little book icon.</p>
+<p>Clicking on the "Help" icon in a given context either brings up the relevant help text or marks the relevant help heading with a question mark icon.</p>
 
 <p>For many controls, if you station the mouse over them a "tool tip" appears that says what they do.</p>
Index: gli/trunk/help/en/openingacollection.htm
===================================================================
--- gli/trunk/help/en/openingacollection.htm	(revision 15366)
+++ gli/trunk/help/en/openingacollection.htm	(revision 15367)
@@ -12,5 +12,5 @@
 
 
-<p>To open an existing collection, choose "Open" from the "File" menu to get the Open Collection prompt.  A list of your Greenstone collections appears. Select one to see its description, and click "Open" to load it.  If you seek a collection that resides outside Greenstone's "collect" folder, click "Browse" for a file system browsing dialog.</p>
+<p>To open an existing collection, choose "Open" from the "File" menu to get the Open Collection prompt.  A list of your Greenstone collections appears. Select one to see its description, and click "Open" to load it.</p>
 
 <p>In case more than one Greenstone Librarian Interface program is running concurrently, the relevant directories are "locked" to prevent interference. On opening a collection, a small temporary lock file is created in its folder.  Before opening a collection, the Librarian Interface checks to ensure that no lock file already exists.  However, when the Librarian Interface is exited prematurely the lock file is sometimes left in place.  When you open such a collection, the Librarian asks if you want to "steal" control of it. Feel free to do so unless you think that someone else is currently working on the same collection.</p>
Index: gli/trunk/help/en/searchindexes.htm
===================================================================
--- gli/trunk/help/en/searchindexes.htm	(revision 15366)
+++ gli/trunk/help/en/searchindexes.htm	(revision 15367)
@@ -32,5 +32,5 @@
 <p>To remove an index, select it from the list of Assigned indexes and click "Remove Index".</p>
 
-<p>The order in which the indexes are specified in the Assigned Indexes list is the order they appear in the drop down menu on the search page. Use the "Move Up" and "Move Up" buttons to change this ordering. </p>
+<p>The order in which the indexes are specified in the Assigned Indexes list is the order they appear in the drop down menu on the search page. Use the "Move Up" and "Move Down" buttons to change this ordering.</p>
 
 <p>The one that is selected by default on the search page is called the "default index". This can be set by selecting an index from the list and clicking "Set Default". The default index is tagged with "[Default Index]" in the "Assigned Indexes" list. If no default index is set, the first one in the list will be used as the default.</p>