Index: gli/trunk/help/es/formatstatements.htm
===================================================================
--- gli/trunk/help/es/formatstatements.htm	(revision 14864)
+++ gli/trunk/help/es/formatstatements.htm	(revision 15370)
@@ -14,9 +14,9 @@
 <p>Las p&aacute;ginas Web que ve cuando utiliza Greenstone no han sido guardadas previamente sino que se generan &ldquo;al vuelo&rdquo; conforme se van necesitando. Las &oacute;rdenes de formato se utilizan para cambiar la apariencia de las p&aacute;ginas generadas. Afectan aspectos como el lugar donde aparecer&aacute;n los botones cuando se muestra un documento y qu&eacute; v&iacute;nculos despliega el clasificador DateList en pantalla. Las &oacute;rdenes de formato no son f&aacute;ciles de desarrollar, por lo que le recomendamos que lea el Cap&iacute;tulo 2 de la Gu&iacute;a del Programador de Greenstone. La presente secci&oacute;n describe los controles de los distintos formatos y la forma en que la Interfaz de Bibliotecario le da acceso a ellos. En la vista "Formato" pulse en "Caracter&iacute;sticas de Formato".</p>
 
-<p>Se puede aplicar una orden de formato a cualquier cosa que se encuentre en la lista llamada "Elegir funci&oacute;n", la cual incluye cada clasificador y una lista de funciones determinadas previamente. Cuando se selecciona una funci&oacute;n existen dos tipos de controles. Algunas funciones simplemente se activan o se desactivan por medio de un recuadro. Otras requieren que se especifique una cadena de formato, para las cuales hay una lista descendente (llamada "Componente afectado") que permite seleccionar la parte de la funci&oacute;n a la que se aplica la cadena (en caso necesario), un &aacute;rea de texto (llamada "cadena de formato HTML") para ingresar la cadena y una selecci&oacute;n de "variables" definidas previamente. Para insertar una variable en su posici&oacute;n actual dentro de la cadena de formato, selecci&oacute;nela de la lista descendente "Insert Variable..."</p>
+<p>Se puede aplicar una orden de formato a cualquier cosa que se encuentre en la lista llamada "Elegir funci&oacute;n", la cual incluye cada clasificador y una lista de funciones determinadas previamente. Cuando se selecciona una funci&oacute;n existen dos tipos de controles. Algunas funciones simplemente se activan o se desactivan por medio de un recuadro. Otras requieren que se especifique una cadena de formato, para las cuales hay una lista descendente (llamada "Componente afectado") que permite seleccionar la parte de la funci&oacute;n a la que se aplica la cadena (en caso necesario), un &aacute;rea de texto (llamada "cadena de formato HTML") para ingresar la cadena y una selecci&oacute;n de "variables" definidas previamente. Para insertar una variable en su posici&oacute;n actual dentro de la cadena de formato, selecci&oacute;nela de la lista descendente "Insertar variable..."</p>
 
 <p>Tambi&eacute;n se puede especificar un formato predeterminado para un componente en particular seleccionando el par&aacute;metro "Todas las caracter&iacute;sticas". Este formato se aplicar&aacute; a todas las caracter&iacute;sticas aplicables a menos que se especifique lo contrario.</p>
 
-<p>Para a&ntilde;adir una nueva orden de formato, seleccione la caracter&iacute;stica y componente aplicacbles. El valor predefinod para la orden se mostrar&aacute; en gris. Pulse "Add Format" para asignarlo a la colecci&oacute;n. La "Cadena de Formato HTML" se har&aacute; editable y podr&aacute; cambiarla si lo desea. Solamente se podr&aacute; asignar una orden de formato a cada combinaci&oacute;n de caracter&iacute;stica/componente.</p>
+<p>Para a&ntilde;adir una nueva orden de formato, seleccione la caracter&iacute;stica y componente aplicacbles. El valor predefinod para la orden se mostrar&aacute; en gris. Pulse "A&ntilde;adir formato" para asignarlo a la colecci&oacute;n. La "Cadena de Formato HTML" se har&aacute; editable y podr&aacute; cambiarla si lo desea. Solamente se podr&aacute; asignar una orden de formato a cada combinaci&oacute;n de caracter&iacute;stica/componente.</p>
 
 <p>Para quitar un comando de formato de la lista, selecci&oacute;nelo y haga click en "Eliminar formato".</p>