Index: /other-projects/trunk/gs3-webservices-democlient/docs/HowToFiles/8RunFedoraLibrarianInterface.html
===================================================================
--- /other-projects/trunk/gs3-webservices-democlient/docs/HowToFiles/8RunFedoraLibrarianInterface.html	(revision 15390)
+++ /other-projects/trunk/gs3-webservices-democlient/docs/HowToFiles/8RunFedoraLibrarianInterface.html	(revision 15390)
@@ -0,0 +1,91 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+
+<html>
+<head>
+<title>Running FLI, the Fedora Librarian Interface</title>
+</head>
+<body>
+<a href="index.html">Back to index page</a>
+
+<h1>Running FLI, the Fedora Librarian Interface</h1>
+
+<h2>Sections</h2>
+<ul>
+<li><a href="#A">A The purpose of FLI</a></li>
+<li><a href="#B">B Some limitations</a></li>
+<li><a href="#C">C Prerequisites for running FLI</a></li>
+<li><a href="#D">D Running FLI</a></li>
+</ul>
+
+
+<h2><a name="A">A The purpose of FLI</a></h2>
+<p>FLI is built on top of GLI. Just as with GLI, it allows you to drag-and-drop documents into a collection which it will then build. The building process of FLI is different in that it will export the documents into a Fedora repository.</p>
+
+<h2><a name="B">B Some limitations</a></h2>
+<ul>
+<li>fli.sh launches a modified gli.sh. But fli.bat launches gli.bat which has yet to be edited to work for both gs3 and gs2. In other words, at present the Windows fli.bat should be used when working with Greenstone 2, and fli4gs3.bat when working with Greenstone 3.
+</li>
+<li>You need the Greenstone server to be running on the same machine as where your Fedora machine is running. This may not be a requirement in the future.</li>
+<li>fli.sh will at present put documents into the Fedora repository if Greenstone is running locally to FLI (as opposed to a remote Greenstone server). It's the intention to fix this discrepancy soon. But if you want an immediate solution, what you need to do is:
+<ul>
+<li>Stop the fedora server</li>
+<li>Go to $FEDORA_HOME/tomcat/conf/Catalina/<your-fedora-host-name or localhost>/
+(where $FEDORA_HOME is your Fedora installation folder)
+Finding out what the last folder should be is tricky, but if you look inside $FEDORA_HOME/tomcat/conf/Catalina/, there should already be a folder with the required fedora hostname.
+</li> 
+<li>Create a file containing this XML:
+<pre>&lt;?xml version='1.0' encoding='utf-8'?&gt;
+&lt;Context docBase="/full/path/to/parent/folder/of/greenstone/collectdir" path="/gsdl"&gt;&lt;/Context&gt;
+</pre>
+Where this would be $GSDLHOME/web/sites/localsite for Greenstone 3, and just plain $GSDLHOME for Greenstone 2. (Note that in both cases, it has to be the full path to the parent directory of the "collect" directory.)
+</li>
+<li>Restart the fedora server
+</li>
+<li>Now you can run FLI as described below.</li>
+</ul>
+</li>
+</ul>
+
+<h2><a name="C">C Prerequisites for running FLI</a></h2>
+<ul>
+<li>You need Greenstone 2 or 3</li>
+<li>You need Fedora installed (which would have required you to set the environment variables FEDORA_HOME, CATALINA_HOME and JAVA_HOME). And:
+<ul>
+<li>if the version you have installed is Fedora 2.*, then you need to add a new environment variable called FEDORA2_HOME to point to where you have Fedora 2.* installed. 
+</li>
+<li>if you have Fedora 3.* installed, then you have to add a new environment variable called FEDORA3_HOME to point to where you have it installed.
+</li>
+</ul>
+</li>
+<li>You need the Greenstone server running on the same machine as where you're Fedora server is installed.</li>
+</ul>
+
+<h2><a name="D">D Running FLI</a></h2>
+<ul>
+<li>If you have more than one Greenstone installed (Greenstone 2 and Greenstone 3), then first run the setup file for the Greenstone installation you want to use, so that your Greenstone environment is set up.<br /> 
+If you were on linux, you would have to source the setup scripts by going into the Greenstone installation directory and typing
+<pre>source setup.bash</pre>
+if it is Greenstone 2.
+And
+<pre>source gs3-setup.sh</pre>
+if it is Greenstone 3.<br />	
+If you're on Windows you would run setup.bat in the Greenstone 2 folder or gs3-setup.bat in the Greenstone 3 folder.
+</li>
+<li>If you're using a Linux xterm, you'd go into Greenstone's gli folder and type:
+<pre>./fli.sh</pre>
+If you're on Windows, go into Greenstone's gli folder and double-click on fli.bat
+</li>
+<li>Once FLI starts up, it will ask you to the Fedora server details and your Fedora username and password to access the Fedora repository.</li>
+<li>Drag and drop documents into a collection as before, go to the Build tab and press the Build button. Once the building is finished, pressing the preview button will open the browser onto the Fedora search page. 
+</li>
+<li><i>If</i> you have other digital objects in your Fedora repository besides the content generated by Greenstone, you will have to type
+<pre>"greenstone:*"</pre>
+or just 
+<pre>"greenstone*"</pre>
+in the search box&mdash;with the quotes.<br />
+If your Fedora repository only contains documents built in FLI, then pressing just the search button should be fine.
+</li>
+</ul>
+
+</body>
+</html>