Index: /other-projects/trunk/gs3-webservices-democlient/docs/HowToFiles/8RunFedoraLibrarianInterface.html
===================================================================
--- /other-projects/trunk/gs3-webservices-democlient/docs/HowToFiles/8RunFedoraLibrarianInterface.html	(revision 15397)
+++ /other-projects/trunk/gs3-webservices-democlient/docs/HowToFiles/8RunFedoraLibrarianInterface.html	(revision 15398)
@@ -20,5 +20,5 @@
 
 <h2><a name="A">A The purpose of FLI</a></h2>
-<p>FLI is built on top of GLI. Just as with GLI, it allows you to drag-and-drop documents into a collection which it will then build. The building process of FLI is different in that it will export the documents into a Fedora repository.</p>
+<p>FLI is built on top of GLI. Just as with GLI, it allows you to drag-and-drop documents into a collection which it will then build. The building process of FLI is different in that it will export the documents into a <b>Fedora</b> repository.</p>
 
 <h2><a name="B">B Some limitations</a></h2>
@@ -26,23 +26,5 @@
 <li>fli.sh launches a modified gli.sh. But fli.bat launches gli.bat which has yet to be edited to work for both gs3 and gs2. In other words, at present the Windows fli.bat should be used when working with Greenstone 2, and fli4gs3.bat when working with Greenstone 3.
 </li>
-<li>You need the Greenstone server to be running on the same machine as where your Fedora machine is running. This may not be a requirement in the future.</li>
-<li>fli.sh will at present put documents into the Fedora repository if Greenstone is running locally to FLI (as opposed to a remote Greenstone server). It's the intention to fix this discrepancy soon. But if you want an immediate solution, what you need to do is:
-<ul>
-<li>Stop the fedora server</li>
-<li>Go to $FEDORA_HOME/tomcat/conf/Catalina/<your-fedora-host-name or localhost>/
-(where $FEDORA_HOME is your Fedora installation folder)
-Finding out what the last folder should be is tricky, but if you look inside $FEDORA_HOME/tomcat/conf/Catalina/, there should already be a folder with the required fedora hostname.
-</li> 
-<li>Create a file containing this XML:
-<pre>&lt;?xml version='1.0' encoding='utf-8'?&gt;
-&lt;Context docBase="/full/path/to/parent/folder/of/greenstone/collectdir" path="/gsdl"&gt;&lt;/Context&gt;
-</pre>
-Where this would be $GSDLHOME/web/sites/localsite for Greenstone 3, and just plain $GSDLHOME for Greenstone 2. (Note that in both cases, it has to be the full path to the parent directory of the "collect" directory.)
-</li>
-<li>Restart the fedora server
-</li>
-<li>Now you can run FLI as described below.</li>
-</ul>
-</li>
+<li>You need the Greenstone server to be running on the same machine as where your Fedora machine is running. This <i>may</i> not be a requirement in the future.</li>
 </ul>
 
@@ -64,10 +46,9 @@
 <ul>
 <li>If you have more than one Greenstone installed (Greenstone 2 and Greenstone 3), then first run the setup file for the Greenstone installation you want to use, so that your Greenstone environment is set up.<br /> 
-If you were on linux, you would have to source the setup scripts by going into the Greenstone installation directory and typing
+If you were on linux, you would have to source the setup scripts by going into the Greenstone installation directory.<br />
+For Greenstone 2, you'd have typed:
 <pre>source setup.bash</pre>
-if it is Greenstone 2.
-And
+And for Greenstone 3:
 <pre>source gs3-setup.sh</pre>
-if it is Greenstone 3.<br />	
 If you're on Windows you would run setup.bat in the Greenstone 2 folder or gs3-setup.bat in the Greenstone 3 folder.
 </li>
Index: /other-projects/trunk/gs3-webservices-democlient/docs/HowToFiles/index.html
===================================================================
--- /other-projects/trunk/gs3-webservices-democlient/docs/HowToFiles/index.html	(revision 15397)
+++ /other-projects/trunk/gs3-webservices-democlient/docs/HowToFiles/index.html	(revision 15398)
@@ -15,5 +15,5 @@
 <li><a href="2RunningGS3DemoClientWithGs3.html">Running the GS3 web services demo-client application</a></li>
 <li><a href="3InstallingFedora.html">Installing Fedora 2.2.1 and Fedora-related information</a></li>
-<li><a href="8RunFedoraLibrarianInterface.html">Running FLI, the Fedora Librarian Interface</a></li>
+<li><a href="8RunFedoraLibrarianInterface.html">Running FLI, the Fedora Librarian Interface</a> (for putting documents into a Fedora repository)</li>
 <li><a href="4InstallingFedoraGSearch.html">Installing Fedora Generic Search</a></li>
 </ol>