Index: /gsdl/trunk/src/colservr/Makefile.in
===================================================================
--- /gsdl/trunk/src/colservr/Makefile.in	(revision 15422)
+++ /gsdl/trunk/src/colservr/Makefile.in	(revision 15423)
@@ -143,8 +143,6 @@
 INCLUDES += -I../../packages/yaz/include -I../../packages/d2m
 Z3950HEADERS = 
-Z3950SOURCES = z3950parser.cpp z3950explain.cpp z3950_to_gsdl.cpp \
-	       z3950server.cpp read-grs.cpp
-Z3950OBJECTS = z3950parser.o   z3950explain.o   z3950_to_gsdl.o   \
-	       z3950server.o   read-grs.o
+Z3950SOURCES = z3950parser.cpp z3950explain.cpp z3950_to_gsdl.cpp z3950server.cpp
+Z3950OBJECTS = z3950parser.o   z3950explain.o   z3950_to_gsdl.o   z3950server.o
 else
 Z3950HEADERS = 
Index: dl/trunk/src/colservr/read-grs.cpp
===================================================================
--- /gsdl/trunk/src/colservr/read-grs.cpp	(revision 15422)
+++ 	(revision )
@@ -1,128 +1,0 @@
-/*
- * Copyright (c) 1995-1999, Index Data.
- * See the file LICENSE for details.
- * Sebastian Hammer, Adam Dickmeiss
- *
- * $Log$
- * Revision 1.1  2005/05/23 04:06:20  davidb
- *
- * Introduction of Z39.50 Server code for Greenstone.  Based on the work of
- * Chris Martin (2001 approx).  Updated to work with newer version of YAZ
- * library.
- *
- * Revision 1.5  1999/11/30 13:47:12  adam
- * Improved installation. Moved header files to include/yaz.
- *
- * Revision 1.4  1999/08/27 09:40:32  adam
- * Renamed logf function to yaz_log. Removed VC++ project files.
- *
- * Revision 1.3  1999/03/31 11:18:25  adam
- * Implemented odr_strdup. Added Reference ID to backend server API.
- *
- * Revision 1.2  1998/02/11 11:53:36  adam
- * Changed code so that it compiles as C++.
- *
- * Revision 1.1  1997/09/01 08:55:53  adam
- * New windows NT/95 port using MSV5.0. Test server ztest now in
- * separate directory. When using NT, this test server may operate
- * as an NT service. Note that the service.[ch] should be part of
- * generic, but it isn't yet.
- *
- * Revision 1.1  1995/08/17 12:45:23  quinn
- * Fixed minor problems with GRS-1. Added support in c&s.
- *
- *
- */
-
-/*
- * Little toy-thing to read a GRS-1 record from a file.
- */
-
-#include <stdio.h>
-#include <ctype.h>
-#include <stdlib.h>
-
-#include <yaz/proto.h>
-#include <yaz/log.h>
-
-#define GRS_MAX_FIELDS 50
-
-Z_GenericRecord *read_grs1(FILE *f, ODR o)
-{
-    char line[512], *buf;
-    int type, ivalue;
-    char value[512];
-    Z_GenericRecord *r = 0;
-
-    for (;;)
-    {
-	Z_TaggedElement *t;
-	Z_ElementData *c;
-
-	while (fgets(buf = line, 512, f))
-	{
-	    while (*buf && isspace(*buf))
-		buf++;
-	    if (!*buf || *buf == '#')
-		continue;
-	    break;
-	}
-	if (*buf == '}')
-	    return r;
-	if (sscanf(buf, "(%d,%[^)])", &type, value) != 2)
-	{
-	    yaz_log(LOG_WARN, "Bad data in '%s'", buf);
-	    return 0;
-	}
-	if (!type && *value == '0')
-	    return r;
-	if (!(buf = strchr(buf, ')')))
-	    return 0;
-	buf++;
-	while (*buf && isspace(*buf))
-	    buf++;
-	if (!*buf)
-	    return 0;
-	if (!r)
-	{
-	    r = (Z_GenericRecord *)odr_malloc(o, sizeof(*r));
-	    r->elements = (Z_TaggedElement **)
-                odr_malloc(o, sizeof(Z_TaggedElement*) * GRS_MAX_FIELDS);
-	    r->num_elements = 0;
-	}
-	r->elements[r->num_elements] = t = (Z_TaggedElement *)
-            odr_malloc(o, sizeof(Z_TaggedElement));
-	t->tagType = (int *)odr_malloc(o, sizeof(int));
-	*t->tagType = type;
-	t->tagValue = (Z_StringOrNumeric *)
-            odr_malloc(o, sizeof(Z_StringOrNumeric));
-	if ((ivalue = atoi(value)))
-	{
-	    t->tagValue->which = Z_StringOrNumeric_numeric;
-	    t->tagValue->u.numeric = (int *)odr_malloc(o, sizeof(int));
-	    *t->tagValue->u.numeric = ivalue;
-	}
-	else
-	{
-	    t->tagValue->which = Z_StringOrNumeric_string;
-	    t->tagValue->u.string = (char *)odr_malloc(o, strlen(value)+1);
-	    strcpy(t->tagValue->u.string, value);
-	}
-	t->tagOccurrence = 0;
-	t->metaData = 0;
-	t->appliedVariant = 0;
-	t->content = c = (Z_ElementData *)odr_malloc(o, sizeof(Z_ElementData));
-	if (*buf == '{')
-	{
-	    c->which = Z_ElementData_subtree;
-	    c->u.subtree = read_grs1(f, o);
-	}
-	else
-	{
-	    c->which = Z_ElementData_string;
-	    buf[strlen(buf)-1] = '\0';
-	    c->u.string = odr_strdup(o, buf);
-	}
-	r->num_elements++;
-    }
-}
Index: /gsdl/trunk/src/colservr/win32.mak
===================================================================
--- /gsdl/trunk/src/colservr/win32.mak	(revision 15422)
+++ /gsdl/trunk/src/colservr/win32.mak	(revision 15423)
@@ -80,8 +80,6 @@
 INCLUDES = $(INCLUDES) -I"$(GSDLHOME)\packages\yaz\yaz-2.1.4\include" -I"$(GSDLHOME)\packages\d2m"
 Z3950HEADERS = 
-Z3950SOURCES = z3950parser.cpp z3950explain.cpp z3950_to_gsdl.cpp \
-	       z3950server.cpp read-grs.cpp
-Z3950OBJECTS = z3950parser.obj   z3950explain.obj   z3950_to_gsdl.obj   \
-	       z3950server.obj   read-grs.obj
+Z3950SOURCES = z3950parser.cpp z3950explain.cpp z3950_to_gsdl.cpp z3950server.cpp
+Z3950OBJECTS = z3950parser.obj z3950explain.obj z3950_to_gsdl.obj z3950server.obj
 Z3950LIB = gsdlz3950.lib
 !ELSE
Index: /gsdl/trunk/src/colservr/z3950server.cpp
===================================================================
--- /gsdl/trunk/src/colservr/z3950server.cpp	(revision 15422)
+++ /gsdl/trunk/src/colservr/z3950server.cpp	(revision 15423)
@@ -484,27 +484,4 @@
 }
 
-// *** don't think we want this ***
-static Z_GenericRecord *dummy_grs_record (int num, ODR o)
-{
-  if (z3950_verbosity_>1) {
-    cerr << "Entering dummy_grs_record" << endl;
-  }
-
-  FILE *f = fopen("dummy-grs", "r");
-  char line[512];
-  Z_GenericRecord *r = 0;
-  int n;
-  
-  if (!f)
-    return 0;
-  while (fgets(line, 512, f))
-    if (*line == '#' && sscanf(line, "#%d", &n) == 1 && n == num)
-      {
-	r = read_grs1(f, o);
-	break;
-      }
-  fclose(f);
-  return r;
-}
 
 bool get_sutrs_record (int recnum, text_t &MetadataResult, text_t &CollectionName)