Index: gsdl/trunk/src/colservr/Makefile.in
===================================================================
--- gsdl/trunk/src/colservr/Makefile.in	(revision 15459)
+++ gsdl/trunk/src/colservr/Makefile.in	(revision 15460)
@@ -30,36 +30,17 @@
 
 CC = @CC@
-CXX = @CXX@
+CPP = @CXX@
 CFLAGS = @CFLAGS@
-CXXFLAGS = @CXXFLAGS@
-DEFS = -DNZDL -DQUIET -DSHORT_SUFFIX -DPARADOCNUM -DGSDLSERVER @DEFS@
-
-INDEXERS_DIR = ../../indexers
-
-MG_INCLUDES = -I$(INDEXERS_DIR)/mg -I$(INDEXERS_DIR)/mg/lib -I$(INDEXERS_DIR)/mg/src/text
-MG_HEADERS = mgq.h mgsearch.h mgqueryfilter.h
-MG_SOURCES = mgq.c mgsearch.cpp mgqueryfilter.cpp
-MG_OBJECTS = mgq.o mgsearch.o mgqueryfilter.o
-
-MGPP_INCLUDES = -I$(INDEXERS_DIR)/mgpp/lib -I$(INDEXERS_DIR)/mgpp/text 
-MGPP_HEADERS = mgppsearch.h mgppqueryfilter.h
-MGPP_SOURCES = mgppsearch.cpp mgppqueryfilter.cpp
-MGPP_OBJECTS = mgppsearch.o mgppqueryfilter.o
-
-LUCENE_INCLUDES = -I../../packages/expat/include
-LUCENE_HEADERS = lucenesearch.h lucenequeryfilter.h lucenegdbmsource.h \
-	         expat_resultset.h expat_document.h
-LUCENE_SOURCES = lucenesearch.cpp lucenequeryfilter.cpp lucenegdbmsource.cpp \
-	         expat_resultset.cpp expat_document.cpp
-LUCENE_OBJECTS = lucenesearch.o lucenequeryfilter.o lucenegdbmsource.o \
-	         expat_resultset.o expat_document.o
-
+CPPFLAGS = @CXXFLAGS@
+DEFS = @DEFS@ -DNZDL -DQUIET -DSHORT_SUFFIX -DPARADOCNUM -DGSDLSERVER
 # Do NOT add the "recpt" directory here: the colserver should be independent of the receptionist!
-INCLUDES = -I. -I../.. -I../../lib \
-		$(MG_INCLUDES) $(MGPP_INCLUDES) $(LUCENE_INCLUDES) @GDBM_INCLUDE@
+INCLUDES = -I. -I$(GSDL_DIR) -I$(GSDL_DIR)/lib \
+	-I$(INDEXERS_DIR)/mg -I$(INDEXERS_DIR)/mg/lib -I$(INDEXERS_DIR)/mg/src/text \
+	-I$(INDEXERS_DIR)/mgpp/lib -I$(INDEXERS_DIR)/mgpp/text \
+	-I../../packages/expat/include
 
 
 COMPILE = $(CC) -c $(CFLAGS) $(DEFS) $(INCLUDES)
-CXXCOMPILE = $(CXX) -c $(CXXFLAGS) $(DEFS) $(INCLUDES)
+CPPCOMPILE = $(CPP) -c $(CPPFLAGS) $(DEFS) $(INCLUDES)
 
 
@@ -71,35 +52,74 @@
 .SUFFIXES: .cpp .o
 .cpp.o:
-	$(CXXCOMPILE) $< 
+	$(CPPCOMPILE) $< 
 
 
-HEADERS = comtypes.h search.h querycache.h queryinfo.h collectserver.h \
-          colservrconfig.h maptools.h filter.h source.h \
-          browsefilter.h queryfilter.h mggdbmsource.h gdbmsource.h \
-	  phrasesearch.h phrasequeryfilter.h collectset.h \
-	  $(MG_HEADERS) $(MGPP_HEADERS) $(LUCENE_HEADERS) $(CORBAHEADERS)
+SOURCES = \
+        browsefilter.cpp \
+	collectserver.cpp \
+	collectset.cpp \
+        colservrconfig.cpp \
+	comtypes.cpp \
+	expat_document.cpp \
+	expat_resultset.cpp \
+	filter.cpp \
+	gdbmsource.cpp \
+	lucenegdbmsource.cpp \
+	lucenequeryfilter.cpp \
+	lucenesearch.cpp \
+	maptools.cpp \
+	mggdbmsource.cpp \
+	mgq.c \
+	mgqueryfilter.cpp \
+	mgsearch.cpp \
+	mgppqueryfilter.cpp \
+	mgppsearch.cpp \
+	phrasequeryfilter.cpp \
+	phrasesearch.cpp \
+	querycache.cpp \
+	queryfilter.cpp \
+	queryinfo.cpp \
+	search.cpp \
+	source.cpp
 
-SOURCES = comtypes.cpp search.cpp querycache.cpp queryinfo.cpp collectserver.cpp \
-          colservrconfig.cpp maptools.cpp filter.cpp source.cpp \
-          browsefilter.cpp queryfilter.cpp mggdbmsource.cpp gdbmsource.cpp \
-	  phrasesearch.cpp phrasequeryfilter.cpp collectset.cpp \
-	  $(MG_SOURCES) $(MGPP_SOURCES) $(LUCENE_SOURCES) $(CORBASOURCES)
-
-OBJECTS = comtypes.o search.o querycache.o queryinfo.o collectserver.o \
-          colservrconfig.o maptools.o filter.o source.o \
-          browsefilter.o queryfilter.o mggdbmsource.o gdbmsource.o \
-	  phrasesearch.o phrasequeryfilter.o collectset.o \
-	  $(MG_OBJECTS) $(MGPP_OBJECTS) $(LUCENE_OBJECTS) $(CORBAOBJECTS) 
+OBJECTS = \
+        browsefilter.o \
+	collectserver.o \
+	collectset.o \
+        colservrconfig.o \
+	comtypes.o \
+	expat_document.o \
+	expat_resultset.o \
+	filter.o \
+	gdbmsource.o \
+	lucenegdbmsource.o \
+	lucenequeryfilter.o \
+	lucenesearch.o \
+	maptools.o \
+	mggdbmsource.o \
+	mgq.o \
+	mgqueryfilter.o \
+	mgsearch.o \
+	mgppqueryfilter.o \
+	mgppsearch.o \
+	phrasequeryfilter.o \
+	phrasesearch.o \
+	querycache.o \
+	queryfilter.o \
+	queryinfo.o \
+	search.o \
+	source.o
 
 
 all: $(OBJECTS)
 
+install:
+
 distclean:
 	rm -f $(OBJECTS) Makefile
+
 clean:
 	rm -f $(OBJECTS)
 
-install:
-
 depend:
-	makedepend -Y -- $(DEFS) $(INCLUDES) $(CXXFLAGS) -- $(SOURCES)
+	makedepend -Y -- $(DEFS) $(INCLUDES) $(CPPFLAGS) -- $(SOURCES)